List institution credentials
curl --request GET \
--url https://int-api.mx.com/institutions/{institution_code}/credentials \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/institutions/{institution_code}/credentials"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/institutions/{institution_code}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentials": [
{
"display_order": 1,
"field_name": "LOGIN",
"field_type": "TEXT",
"guid": "CRD-1ec152cd-e628-e81a-e852-d1e7104624da",
"label": "Username",
"type": "TEXT"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Institutions
List institution credentials
GET
/
institutions
/
{institution_code}
/
credentials
List institution credentials
Use this endpoint to see which credentials will be needed to create a member for a specific institution.
Passing an invalid
institution_code returns a 404.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The institution_code of the institution.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
1
Example:
"LOGIN"
Example:
"TEXT"
Example:
"CRD-1ec152cd-e628-e81a-e852-d1e7104624da"
Example:
"Username"
Example:
"TEXT"
⌘I

